FLANG

Public Member Functions | Static Public Member Functions | Friends | List of all members
Fortran::semantics::ShapeSpec Class Reference

## Public Member Functions
| ShapeSpec (const ShapeSpec &)=default
| ShapeSpec (ShapeSpec &&)=default
ShapeSpec & | operator= (const ShapeSpec &)=default
ShapeSpec & | operator= (ShapeSpec &&)=default
Bound & | lbound ()
const Bound & | lbound () const
Bound & | ubound ()
const Bound & | ubound () const

## Static Public Member Functions
static ShapeSpec | MakeExplicit (Bound &&lb, Bound &&ub)
static const ShapeSpec | MakeExplicit (Bound &&ub)
static ShapeSpec | MakeAssumed ()
static ShapeSpec | MakeAssumed (Bound &&lb)
static ShapeSpec | MakeDeferred ()
static ShapeSpec | MakeImplied ()
static ShapeSpec | MakeImplied (Bound &&lb)
static ShapeSpec | MakeAssumedRank ()

## Friends
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const ShapeSpec &)

The documentation for this class was generated from the following file:

- include/flang/Semantics/type.h